| Auth API |
POST /registerDevice
- Incomplete XML format in IOS appconfig - Fixed
- Invalid JSON string in Android appconfig - Fixed
|
| Resource API |
POST /paymentCards
- Possible to add multiple cards using same card details - Fixed
|
| Resource API |
POST /sessions
- Multiple session possible to start using same vrm number and same time - Fixed
- End date time not returned in the stopped session response - Fixed
|
| Resource API |
POST /user
- Password field updated in the documentation
|
| Auth API |
GET /legals
- By default, latest version of terms and conditions with intent = 'help' returned for display in Help section
- To retrieve terms and conditions for a specific intent and version, specify querystring parameters 'intent' and 'version' in the GET request
|
| Auth API |
GET /challenges
- Max Challenges exceeded error: As designed - Max limit on total issued challenges per bearer token is 250
- To rest the counter, send in a GET /getToken request with userReference
This will issue a new bearer token and new set of challenges for the same user
Note: Previous/old challenges will no longer be valid once new ones are fetched using /getToken
|
| Resource API |
Contact Us changes
- Post /queries removed
- Contact Us form URL will be returned in the GET /content/contact-us request
|
| Resource API |
Documentation update: Max length limits added to address parameters of POST /user |
| Resource API |
isStoppable flag added to the response of GET /session
- 1 : Session can be stopped
- 0 : Session cannot be stopped
- isStoppable is returned only for on-going sessions (not for stopped sessions)
|
| Resource API |
POST /sessions/{sessionReference} added to stop session
- stopped = 1 for session to be stopped
Note: There may be some delay in receiving the push notification as it takes some time to recieve the connector status update from cityEV
|
| Resource API |
VRM optional when starting a session
- vrmMandatoryForSession flag returned in the socket details in GET /map, /locations, /chargers and /sockets
If set to 1 then VRM is required to start a session against that socket else VRM is optional
- VRM can be omitted from POST /sessions if its optional for the socket against which session is to be started
|
| Resource API |
GET /sessions and /vehicles return formattedVrm for display purpose
- Current, previous and older series of UK number plates matched
- Non-matching number plates will be returned as is
|